#include<stdio.h>
#include<string.h>
#include<glib.h>
int main() {
        gint i,j,n;
        GPtrArray *dirarray;
        const gchar *nm;
        GError *error=NULL;
        GDir *dir=g_dir_open("./",0,&error);
        if (!dir) {
                g_print("Error: %s\n",error->message);
                g_error_free(error); return 1;
        }
        dirarray=g_ptr_array_new();
        if (!dirarray) {
                perror("Could not allocate mem"); return 1;
        }
        g_print("Adding to the array\n"); i=0;
        while((nm=g_dir_read_name(dir))!=NULL) {
                g_ptr_array_add(dirarray,(gpointer)strdup(nm));
                g_print("%d) adding [%s]\n",++i,nm);
        }
        g_dir_close(dir);
        g_print("%d element(s) in the array\n",(n=dirarray->len));
        g_print("random access to the array(fast)\n");
        for (i=0;i<n;++i) {
                g_print("%d) [%s]\n",i+1,(gchar *)(dirarray->pdata[i]));
                /* or similarly: g_print("%d) [%s]\n",i+1,(gchar *)(g_ptr_array
_index(dirarray,i)) ); */
        }
        return 0;
}
