/* usual start */
#include <stdio.h> /* for sprintf */
#include <stdlib.h> /* for future use */
#include <math.h> /* for future use */
#include <gtk/gtk.h>

/* define pointers to window and buttons ...*/
GtkWidget *win, *btn1;
GtkWidget *vbox1,*hbox1,*hbox2,*hbox3,*hbox4;
GtkWidget *label1,*label2,*label3;
GtkWidget *entry1,*entry2,*entry3;

/* prototype of our handler */
void calc_result(GtkButton *btn,gpointer *ptr);

int main(int argc, char *argv[])
{
gtk_init(&argc, &argv);
/* allocate the GUI members */
win = gtk_window_new(GTK_WINDOW_TOPLEVEL);
vbox1 = gtk_vbox_new(TRUE,3);
hbox1 = gtk_hbox_new(FALSE,3); hbox2 = gtk_hbox_new(FALSE,3);
hbox3 = gtk_hbox_new(FALSE,3); hbox4 = gtk_hbox_new(FALSE,3);
label1 = gtk_label_new("First number:");
label2 = gtk_label_new("Second number:");
label3 = gtk_label_new("Sum :");
entry1 = gtk_entry_new();
entry2 = gtk_entry_new();
entry3 = gtk_entry_new(); /* you may replace it with label */
btn1 = gtk_button_new_from_stock(GTK_STOCK_OK);
/* put each one in it's parent  */
gtk_container_add (GTK_CONTAINER(win), vbox1);
gtk_container_add (GTK_CONTAINER(vbox1), hbox1);
gtk_container_add (GTK_CONTAINER(vbox1), hbox2);
gtk_container_add (GTK_CONTAINER(vbox1), hbox3);
gtk_container_add (GTK_CONTAINER(vbox1), hbox4);
gtk_container_add (GTK_CONTAINER(hbox1), label1);
gtk_container_add (GTK_CONTAINER(hbox1), entry1);
gtk_container_add (GTK_CONTAINER(hbox2), label2);
gtk_container_add (GTK_CONTAINER(hbox2), entry2);
gtk_container_add (GTK_CONTAINER(hbox3), label3);
gtk_container_add (GTK_CONTAINER(hbox3), entry3);
gtk_container_add (GTK_CONTAINER(hbox4), btn1);
/* set the properties of each entry box */
gtk_editable_set_editable(GTK_EDITABLE(entry1),TRUE);
gtk_editable_set_editable(GTK_EDITABLE(entry2),TRUE);
gtk_editable_set_editable(GTK_EDITABLE(entry3),FALSE);
/* set event handlers */
g_signal_connect(G_OBJECT(win), "destroy", G_CALLBACK(gtk_main_quit), NULL);
g_signal_connect(G_OBJECT(btn1), "clicked", G_CALLBACK(calc_result), NULL);
/* show the main window and it's members */
gtk_widget_show_all(win);
/* usual end */
gtk_main();
return 0;
}
/* a+l+w+zHy+f+tm a+l+t+y+ y+n+f+dkh+a+ e+n+d+ n+q+r+ OK */
void calc_result(GtkButton *btn,gpointer *ptr) {
        const char *str1,*str2;
        char str3[40];
        float n1,n2,r;
        /* h+n+a+ n+aHx+dk a+l+s+l+s+l+tm a+l+n+c+y+tm a+l+t+y+ t+m+tkl+ a+l+r+
q+m+ */
        str1=gtk_entry_get_text(GTK_ENTRY(entry1));
        str2=gtk_entry_get_text(GTK_ENTRY(entry2));
        /* h+n+a+ n+hkw+l+ m+n+ s+l+s+l+tm n+c+y+tm ahl+j+ r+q+m+ n+s+b+y+ */
        n1=atof(str1); n2=atof(str2);
        r=n1+n2;/* h+n+a+ n+hks+b+ */
        sprintf(str3,"%g",r); /*n+hkw+l+ ahl+j+ s+l+s+l+tm n+c+y+tm*/
        /* y+m+k+n+ a+s+t+x+d+a+m+ ftoa(r);
         * w+l+k+n+y+ aHf+ddl+ sprintf
         * l+aHn+n+y+ aHt+hkk+m+ f+y+ a+l+c+y+i+tm
         */
        /* n+k+t+b+h+a+ f+y+ x+a+n+tm a+l+n+t+y+g+tm */
        gtk_entry_set_text(GTK_ENTRY(entry3),str3);
        return TRUE;
}
