/* mysock-ip-client: internet sample client */
#include <stdio.h>
#include <errno.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>

#define PORT            5555
  /* This function is defiend in our 'socket-common.c' */
  extern void init_sockaddr (struct sockaddr_in *name, const char *hostname,uint16_t port);

char *SERVERHOST,*MESSAGE;
void write_to_server (int filedes) {
  int nbytes;
  nbytes = write (filedes, MESSAGE, strlen (MESSAGE) + 1);
  if (nbytes < 0) {
      perror ("write"); exit (1);
  }
}

int main (int argc,char *argv[]) {
  int sock;
  struct sockaddr_in servername;

  /* Process arguments and show usage */
  if (argc!=3) {
        printf("mysock-ip-client: sample inet socket testing client
syntax: mysock-ip-client HOSTNAME STRGING
where:  STRING is the string to send to server.
        HOSTNAME is the host of the server like 'mynet.com'
example:
        mysoc-ip-client 'localhost' 'Hello every body'
");
        exit(0);
 }
  SERVERHOST=argv[1];
  MESSAGE=argv[2];
  /* Create the socket. */
  sock = socket (PF_INET, SOCK_STREAM, 0);
  if (sock < 0) {
      perror ("socket (client)"); exit (1);
  }

  /* Connect to the server. */
  init_sockaddr (&servername, SERVERHOST, PORT);
  if (0 > connect (sock,
                   (struct sockaddr *) &servername,
		   sizeof (servername))) {
      perror ("connect (client)"); exit (1);
  }
  /* Send data to the server. */
  write_to_server (sock);
  close (sock);
  return 0;
}
