#!/bin/sh
# nice-cd.sh: nice your CDROM device
# 	Moayyad Al-Sadi <ErrorMsg@gawab.com>
# Copy right (c) 2004
# Under terms of GNU GPL
#
echo -n "finding IDE CDROMs : "
cds=""
for i in hda hdb hdc hdd hde hdf hdg hdi hdj
do
    echo -n "."
    if [ -f /proc/ide/$i/media ];then
	dv=`cat /proc/ide/$i/media`
        if [ "cdrom" = "$dv" ];then
		cds="$cds $i"
        fi
    fi
    echo -n "."
done
echo " OK. [$cds ]"
echo -n "setting speed of CDROMs : "
for i in $cds
do
    echo -n "."
    if [ -f "/proc/ide/$i/settings" ];then
	echo "current_speed:32" > "/proc/ide/$i/settings"
	echo "using_dma:1" > "/proc/ide/$i/settings"
	echo "unmaskirq:1" > "/proc/ide/$i/settings"
	echo "file_readahead:1048576" > "/proc/ide/$i/settings"
    fi
    echo -n "."
done
echo " OK."

