#include<stdio.h>
#include<string.h>
#include<glib.h>
int main() {
        gint i,j,n;
        GList *dirlist,*orglist;
        const gchar *nm;
        GError *error=NULL;
        GDir *dir=g_dir_open("./",0,&error);
        if (!dir) {
                g_print("Error: %s\n",error->message);
                g_error_free(error); return 1;
        }
        orglist=dirlist=g_list_alloc();
        if (!dirlist) {
                perror("Could not alloc mem"); return 1;
                return 1;
        }
        g_print("Adding to the list\n"); i=0;
        while((nm=g_dir_read_name(dir))!=NULL) {
                dirlist=g_list_append(dirlist,(gpointer)strdup(nm));
                /* or simply but slower: g_list_append(dirlist,(gpointer)strdup(nm)); */
                g_print("%d) adding [%s]\n",++i,nm);
        }
        g_dir_close(dir);
        g_print("%d element in the list\n",(n=g_list_length(dirlist)));
        g_print("random access to the list(slow)\n");
        dirlist=g_list_first(dirlist);
        for (i=1;i<n;++i) {
                g_print("%d) [%s]\n",i,(gchar *)g_list_nth_data(dirlist,i));
                /* or similarly: g_print("%d) [%s]\n",i,(gchar *)(g_list_nth(dirlist,i)->data)); */
        }
        g_print("sequential access to the list(fast)\n");
        dirlist=g_list_first(dirlist); orglist=dirlist;
        while((dirlist=g_list_next(dirlist))!=NULL) {
                g_print("[%s]\n",(gchar *)dirlist->data);
        }
        return 0;
}
