/* thread1.c: this file show you how threads work
 * 
 * My Moayyad Al-Sadi<ErrorMsg@gawab.com>
 * (c) copyleft , 2004 - under terms of GNU GPL
 *
 * it forks 3 threads one increment the total and the other
 * decrement it , the 3rd just read and print it
 * if total is +ve then increment thread should wait
 * it total is -ve then decrement thread should wait,
 * see how they all run at the same time.
 *
 * NOTE: this program does NOT lock static/global variables
 *	but it's secure because it has it's own tests
 *	but don't count on that on your programs
 *	see thread2.c
 *
 */
#include<stdio.h>
#include<stdlib.h>
#include<string.h>
#include<glib.h>
gint inc_times=0;
gint dec_times=0;
gint total=0;
gpointer show(gpointer foo) {
	while(inc_times<10 || total !=0) {
		g_print("show: inc_times=%i , dec_times=%i , total=%i\n",
			inc_times,dec_times,total);
	}
		g_print("show: inc_times=%i , dec_times=%i , total=%i\n",
			inc_times,dec_times,total);
	return NULL;
}

gpointer inc(gpointer foo) {
	int i;
	for (i=0;i<10;++i) {
		++total;
		++inc_times;
		g_print("inc: inc_times=%i , dec_times=%i , total=%i\n",
			inc_times,dec_times,total);
	    while(total>0) g_thread_yield(); // wait other threads
	}
	return NULL;
}
gpointer dec(gpointer foo) {
	int i;
	for (i=0;i<10;++i) {
		--total;
		++dec_times;
		g_print("dec: inc_times=%i , dec_times=%i , total=%i\n",
			inc_times,dec_times,total);
	    while(total<0) g_thread_yield(); // wait other threads
	}
	return NULL;
}

int main(int argc,char *argv[]) {
	GError *error=NULL;
	GThread *thread1,*thread2,*thread3;
	if (!g_thread_supported()) g_thread_init(NULL);
	g_print("forking 3 threads\n");
	if (!(thread1=g_thread_create(inc,NULL,TRUE,&error))) {
		g_print("Error: %s\n",error->message); exit(1);
	}
	if (!(thread2=g_thread_create(dec,NULL,TRUE,&error))) {
		g_print("Error: %s\n",error->message); exit(1);
	}
	if (!(thread3=g_thread_create(show,NULL,TRUE,&error))) {
		g_print("Error: %s\n",error->message); exit(1);
	}
	g_thread_join(thread3);  // wait for thread3

}