/* run-ls.c: a program calling 'ls' */
#include<stdio.h>
#include<stdlib.h>
#include<errno.h>
#include<unistd.h>
int main() {
        pid_t p=fork();
        int status;
        switch(p) {
                case 0:
                        printf("I'm the child process\nI'm going to call 'ls'\n
");
                        execlp("ls","ls","-F",NULL); /* running 'ls -F' */
                        perror("Couldn't run 'ls -F'");
                        exit(errno);
                case -1:
                        perror("Could not fork"); exit(0);
                default:
                        printf("I'm the parent process\n");
                        printf("My child PID is %d \n",p);
                        printf("wait it to end\n");
                        waitpid(p,&status,0);
                        printf("the child ended with value %d\n",status);
        }
}
